Name:           perl-AI-Categorizer
Version:        0.09
Release:        3%{?dist}
Summary:        Automatic Text Categorization

License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/AI-Categorizer/

Source0:        http://www.cpan.org/authors/id/K/KW/KWILLIAMS/AI-Categorizer-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl >= 1:5.6.0
BuildRequires:  perl(Module::Build)

# For the unit tests
BuildRequires:  perl(AI::DecisionTree) >= 0.06
BuildRequires:  perl(Algorithm::NaiveBayes)
BuildRequires:  perl(Algorithm::SVM) >= 0.06
BuildRequires:  perl(Class::Container) >= 0.09
BuildRequires:  perl(Lingua::Stem) >= 0.5
BuildRequires:  perl(Params::Validate) >= 0.18
BuildRequires:  perl(Statistics::Contingency) >= 0.06
BuildRequires:  perl(Time::Progress) >= 1.1

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(AI::DecisionTree) >= 0.06
Requires:       perl(Algorithm::NaiveBayes)
Requires:       perl(Algorithm::SVM) >= 0.06
Requires:       perl(Class::Container) >= 0.09
Requires:       perl(Lingua::Stem) >= 0.5
Requires:       perl(Params::Validate) >= 0.18
Requires:       perl(Statistics::Contingency) >= 0.06
Requires:       perl(Time::Progress) >= 1.1

%{?perl_default_filter}

%description
AI::Categorizer is a framework for automatic text categorization. It
consists of a collection of Perl modules that implement common
categorization tasks, and a set of defined relationships among those
modules. The various details are flexible - for example, you can choose
what categorization algorithm to use, what features (words or otherwise) of
the documents should be used (or how to automatically choose these
features), what format the documents are in, and so on.


%prep
%setup -q -n AI-Categorizer-%{version}

# Fix permissions
find . -name '*.pm' -exec chmod -x '{}' \;


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*


%check
./Build test


%files
%doc Changes README
%{perl_vendorlib}/AI/Categorizer*
%{_mandir}/man3/AI::Categorizer*


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct 22 2012 Mathieu Bridon <bochecha@fedoraproject.org> - 0.09-2
- A couple of fixes based on Emmanuel's review feedback:
  - Add the Perl default filter,
  - Fix the permissions on the pm files.

* Mon Aug 20 2012 Mathieu Bridon <bochecha@fedoraproject.org> 0.09-1
- Initial spec file, with help from cpanspec.
